### Function

# Gck Session open

#### Declaration [src]

    GckSession*
    gck_session_open (
      GckSlot* slot,
      GckSessionOptions options,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Open a session on the slot. This call may block for an indefinite period.

#### Parameters

`slot`

  Type: `GckSlot`

  The slot to open session on.

  The data is owned by the caller of the function.

`options`

  Type: `GckSessionOptions`

  Session options.

`interaction`

  Type: `GTlsInteraction`

  Optional interaction for logins or object authentication.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GckSession`

The new session.

The caller of the function takes ownership of the data, and is responsible for freeing it.